For Developers

Delete Link

DELETE https://ed.link/api/v2/teams/:team_id/sources/:source_id/links/:link_id

Deletes a source link and triggers an enrichment pass to remove merged data.

Permissions

Requires the links.update system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:source_idUUIDYesThe ID of the primary source.
:link_idUUIDYesThe ID of the link to delete.

Sample Request

const response = await axios.delete(
    `https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/links/${link_id}`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "id": "d132a0c4-954f-4d32-8ea7-a36c93427db9",
        "deleted": true
    }
}